Bug 610984 - Please update to version >= 1.2.0
Summary: Please update to version >= 1.2.0
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gpgme (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL: ftp://ftp.gnupg.org/gcrypt/gpgme/
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-02 23:29 UTC by Roland Wolters
Modified: 2010-07-13 21:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-13 21:09:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Roland Wolters 2010-07-02 23:29:00 UTC
Description of problem:
Curerntly gpgme is of version 1.1.8. This is heavily outdated, and currentl desktop encryption software like KDE's Kleopatra require at least a gpgme version equal or larger as 1.2.0. Without it, the S/MIME encryption does not work properly.

Version-Release number of selected component (if applicable):
1.1.8

How reproducible:
Start Kleopatra, run self test, and you get a warning the gpgme is outdated and needs to be updated to properly contact the gpg-agent.

Steps to Reproduce:
1. Install Fedora and KDE.
2. Launch Kleopatra's self test.
3. Watch and sob.
  
Actual results:
Kleopatra cannot properly connect to gpg-agent.

Expected results:
It should work without a flaw.

Additional info:
GPGME is available in version 1.3.0 for over half a year. 1.2.0 is available for more than a year. There is no need to wait with the updates. Plus: cryptographic software should be handled with extra care, and updates should be done regularly to be on the safe side.

Comment 1 Rex Dieter 2010-07-02 23:45:34 UTC
You sure Kleopatra's failed test(s) aren't just due to missing
gnupg2-smime
?

Comment 2 Rex Dieter 2010-07-02 23:54:41 UTC
In the meantime, I've prepped a gpgme-1.2.0 update, but will wait until after the holiday weekend to commit anything,
scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2291327

Comment 3 Roland Wolters 2010-07-03 00:35:38 UTC
Hey Rex, no, I have everything installed:
$ rpm -qa|grep gnupg
gnupg2-smime-2.0.14-2.fc13.x86_64
gnupg2-2.0.14-2.fc13.x86_64

Anyway, is there a *reason* why gpgme was kept on that old version?

Comment 4 Rex Dieter 2010-07-03 00:52:29 UTC
no reason I'm aware of.

Comment 5 Rex Dieter 2010-07-13 21:09:26 UTC
built for rawhide.


Note You need to log in before you can comment on or make changes to this bug.